| 1.0.0 API documentation

Functions
ulp.hpp File Reference

GLM_GTC_ulp More...

Go to the source code of this file.

## Functions
GLM_FUNC_DECL int64 | float_distance (double x, double y)
| Return the distance in the number of ULP between 2 double-precision floating-point scalars. More...
GLM_FUNC_DECL int | float_distance (float x, float y)
| Return the distance in the number of ULP between 2 single-precision floating-point scalars. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, int64, Q > | float_distance (vec< L, double, Q > const &x, vec< L, double, Q > const &y)
| Return the distance in the number of ULP between 2 double-precision floating-point scalars. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, int, Q > | float_distance (vec< L, float, Q > const &x, vec< L, float, Q > const &y)
| Return the distance in the number of ULP between 2 single-precision floating-point scalars. More...
template<typename genType >
GLM_FUNC_DECL genType | next_float (genType x)
| Return the next ULP value(s) after the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | next_float (genType x, int ULPs)
| Return the value(s) ULP distance after the input value(s). More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | next_float (vec< L, T, Q > const &x)
| Return the next ULP value(s) after the input value(s). More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | next_float (vec< L, T, Q > const &x, int ULPs)
| Return the value(s) ULP distance after the input value(s). More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | next_float (vec< L, T, Q > const &x, vec< L, int, Q > const &ULPs)
| Return the value(s) ULP distance after the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | prev_float (genType x)
| Return the previous ULP value(s) before the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | prev_float (genType x, int ULPs)
| Return the value(s) ULP distance before the input value(s). More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | prev_float (vec< L, T, Q > const &x)
| Return the previous ULP value(s) before the input value(s). More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | prev_float (vec< L, T, Q > const &x, int ULPs)
| Return the value(s) ULP distance before the input value(s). More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | prev_float (vec< L, T, Q > const &x, vec< L, int, Q > const &ULPs)
| Return the value(s) ULP distance before the input value(s). More...

## Detailed Description

GLM_GTC_ulp

See also
  Core features (dependence)

Definition in file ulp.hpp.